var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, css, html } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import './play-icon.js';
let PlayButton = class PlayButton extends LitElement {
    constructor() {
        super(...arguments);
        this.appearance = 'plain';
        this.label = '';
        this.icon = '';
        this.endIcon = '';
    }
    render() {
        return html `<button>
      ${this.icon &&
            html `<play-icon size="20px" icon=${this.icon}></play-icon>`}
      ${this.label}
      ${this.endIcon &&
            html `<play-icon size="20px" icon=${this.endIcon}></play-icon>`}
    </button>`;
    }
};
PlayButton.styles = css `
    /* Default button styles. Medium size. */
    :host button {
      display: flex;
      flex-direction: row;
      gap: 8px;
      padding: 10px;
      border: none;
      border-radius: 9001px;
      align-items: center;
      height: min-content;
      cursor: pointer;
      font-family: inherit;
      font-size: 14px;
      font-style: normal;
      font-weight: 600;
      line-height: 20px;
      letter-spacing: -0.3px;
      user-select: none;
    }

    /* Add horizontal padding if a label */
    :host([label]) button {
      padding-right: 16px;
      padding-left: 16px;
    }

    /* Define styles for the "plain" appearance */
    :host([appearance='plain']) button {
      color: var(--rpl-secondary-plain);
      background-color: transparent;
    }

    :host([appearance='plain']:hover) button {
      color: var(--rpl-secondary-onBackground);
      background-color: var(--rpl-secondary-background-hovered);
    }

    :host([appearance='plain']:active) button {
      color: var(--rpl-secondary-onBackground);
      background-color: var(--rpl-secondary-background-pressed);
    }

    /* Define styles for the "plain" appearance */
    :host([appearance='brand']) button {
      color: var(--rpl-brand-onBackground);
      background-color: var(--rpl-brand-background);
    }

    :host([appearance='brand']:hover) button {
      color: var(--rpl-brand-onBackground);
      background-color: var(--rpl-brand-background-hovered);
    }

    :host([appearance='brand']:active) button {
      color: var(--rpl-brand-onBackground);
      background-color: var(--rpl-brand-background-pressed);
    }

    /* to-do: Add disabled styes */
  `;
__decorate([
    property({ type: String })
], PlayButton.prototype, "appearance", void 0);
__decorate([
    property({ type: String })
], PlayButton.prototype, "label", void 0);
__decorate([
    property({ type: String })
], PlayButton.prototype, "icon", void 0);
__decorate([
    property({ type: String })
], PlayButton.prototype, "endIcon", void 0);
PlayButton = __decorate([
    customElement('play-button')
], PlayButton);
export { PlayButton };
